Entur Developer
Products

fare-day-types

Server

Retrieves all fare day types

GET
https://api.entur.io/products
/fare-day-types

Retrieves all fare day types › query Parameters

orgId
​string · style: form · explode: true
fareFrameId
​string · style: form · explode: true
minimizeDataLoad
​boolean · style: form · explode: true
validOnDate
​string · date-time · style: form · explode: true

Return only the versions valid on the given date (ISO-8601).

Retrieves all fare day types › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves all fare day types › Responses

Returns the info

The FareDayType describe during which the assignment applies
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​TextInLanguage[] · required

Description of fare day type

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareDayType:2HoursValidPlus1
modification
​string · enum · readOnly · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
​TextInLanguage[] · required

Name of fare day type

nameOfClass
​string · readOnly · required

Name of class.

Example: FareDayType
status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
dayLength
​string

Day length. Represented as a string formatted according to ISO-8601

Example: PT04H
durationAfterPropertiesOfDay
​string

Duration after properties of day. Represented as a string formatted according to ISO-8601

Example: PT7H
durationBeforePropertiesOfDay
​string

Duration before properties of day. Represented as a string formatted according to ISO-8601

Example: PT24H
earliestTime
​string

Earliest time.

Example: 11:11:11
​PropertyOfDay[]

Properties of day

​VersionOfObjectRef[]

Time band references.


Create a fare day Type

POST
https://api.entur.io/products
/fare-day-types

Create a fare day Type › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a fare day Type › Request Body

The FareDayType describe during which the assignment applies
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​TextInLanguage[] · required

Description of fare day type

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareDayType:2HoursValidPlus1
modification
​string · enum · readOnly · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
​TextInLanguage[] · required

Name of fare day type

nameOfClass
​string · readOnly · required

Name of class.

Example: FareDayType
status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
dayLength
​string

Day length. Represented as a string formatted according to ISO-8601

Example: PT04H
durationAfterPropertiesOfDay
​string

Duration after properties of day. Represented as a string formatted according to ISO-8601

Example: PT7H
durationBeforePropertiesOfDay
​string

Duration before properties of day. Represented as a string formatted according to ISO-8601

Example: PT24H
earliestTime
​string

Earliest time.

Example: 11:11:11
​PropertyOfDay[]

Properties of day

​VersionOfObjectRef[]

Time band references.

Create a fare day Type › Responses

Entity created successfully

No data returned

Retrieves the fare day type valid on a given date

GET
https://api.entur.io/products
/fare-day-types/{id}

Optional validOnDate query parameter (defaults to now). In prod returns the VERSIONED element; in staging/dev PROPOSED is preferred over VERSIONED.

Retrieves the fare day type valid on a given date › path Parameters

id
​string · required · style: simple

The id to identify a fare day type

Retrieves the fare day type valid on a given date › query Parameters

validOnDate
​string · date-time · style: form · explode: true

Return the version valid on the given date (ISO-8601).

Retrieves the fare day type valid on a given date › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves the fare day type valid on a given date › Responses

Returns the info

The FareDayType describe during which the assignment applies
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​TextInLanguage[] · required

Description of fare day type

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareDayType:2HoursValidPlus1
modification
​string · enum · readOnly · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
​TextInLanguage[] · required

Name of fare day type

nameOfClass
​string · readOnly · required

Name of class.

Example: FareDayType
status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
dayLength
​string

Day length. Represented as a string formatted according to ISO-8601

Example: PT04H
durationAfterPropertiesOfDay
​string

Duration after properties of day. Represented as a string formatted according to ISO-8601

Example: PT7H
durationBeforePropertiesOfDay
​string

Duration before properties of day. Represented as a string formatted according to ISO-8601

Example: PT24H
earliestTime
​string

Earliest time.

Example: 11:11:11
​PropertyOfDay[]

Properties of day

​VersionOfObjectRef[]

Time band references.


Retrieves fare day type for id and version

GET
https://api.entur.io/products
/fare-day-types/{id}/{version}

Retrieves fare day type for id and version › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a fare day type

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the fare day type

Retrieves fare day type for id and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves fare day type for id and version › Responses

Returns the info

The FareDayType describe during which the assignment applies
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​TextInLanguage[] · required

Description of fare day type

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareDayType:2HoursValidPlus1
modification
​string · enum · readOnly · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
​TextInLanguage[] · required

Name of fare day type

nameOfClass
​string · readOnly · required

Name of class.

Example: FareDayType
status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
dayLength
​string

Day length. Represented as a string formatted according to ISO-8601

Example: PT04H
durationAfterPropertiesOfDay
​string

Duration after properties of day. Represented as a string formatted according to ISO-8601

Example: PT7H
durationBeforePropertiesOfDay
​string

Duration before properties of day. Represented as a string formatted according to ISO-8601

Example: PT24H
earliestTime
​string

Earliest time.

Example: 11:11:11
​PropertyOfDay[]

Properties of day

​VersionOfObjectRef[]

Time band references.


Updates an existing fare day type

PUT
https://api.entur.io/products
/fare-day-types/{id}/{version}

Updates an existing fare day type › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a fare day type

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the fare day type

Updates an existing fare day type › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Updates an existing fare day type › Request Body

The FareDayType describe during which the assignment applies
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​TextInLanguage[] · required

Description of fare day type

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FareDayType:2HoursValidPlus1
modification
​string · enum · readOnly · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
​TextInLanguage[] · required

Name of fare day type

nameOfClass
​string · readOnly · required

Name of class.

Example: FareDayType
status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
dayLength
​string

Day length. Represented as a string formatted according to ISO-8601

Example: PT04H
durationAfterPropertiesOfDay
​string

Duration after properties of day. Represented as a string formatted according to ISO-8601

Example: PT7H
durationBeforePropertiesOfDay
​string

Duration before properties of day. Represented as a string formatted according to ISO-8601

Example: PT24H
earliestTime
​string

Earliest time.

Example: 11:11:11
​PropertyOfDay[]

Properties of day

​VersionOfObjectRef[]

Time band references.

Updates an existing fare day type › Responses

Entity updated successfully

No data returned

Deletes an day type given by id and version

DELETE
https://api.entur.io/products
/fare-day-types/{id}/{version}

Deletes an day type given by id and version › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a fare day type

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the fare day type

Deletes an day type given by id and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Deletes an day type given by id and version › Responses

The resource was deleted


Did you find what you were looking for?